AbstractPublishToMaven (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.publish.maven.tasks

## Class AbstractPublishToMaven

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.AbstractPublishToMaven

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `org.gradle.util.Configurable<Task>`
  Direct Known Subclasses:
    `PublishToMavenLocal`, `PublishToMavenRepository`

      public abstract class AbstractPublishToMaven
      extends DefaultTask

  Base class for tasks that publish a `MavenPublication`.
  Since:
    2.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPublishToMaven()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.internal.Factory<org.gradle.internal.logging.LoggingManagerInternal>` | `getLoggingManagerFactory()` | Deprecated.
    `protected org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator` | `getMavenRepositoryLocator()` |
    `MavenPublication` | `getPublication()` | The publication to be published.
    `protected org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal` | `getPublicationInternal()` |
    `void` | `setPublication​(MavenPublication publication)` | Sets the publication to be published.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPublishToMaven

          public AbstractPublishToMaven()

  - ### Method Detail

    - #### getPublication

          @Internal
          public MavenPublication getPublication()

      The publication to be published.
      Returns:
        The publication to be published

    - #### setPublication

          public void setPublication​(MavenPublication publication)

      Sets the publication to be published.
      Parameters:
        `publication` - The publication to be published

    - #### getPublicationInternal

          @Internal
          protected org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal getPublicationInternal()

    - #### getLoggingManagerFactory

          @Deprecated
          @Inject
          protected org.gradle.internal.Factory<org.gradle.internal.logging.LoggingManagerInternal> getLoggingManagerFactory()

      Deprecated.

    - #### getMavenRepositoryLocator

          @Inject
          protected org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator getMavenRepositoryLocator()